<!--
IGAC proyecto SNC

@author 		david.cifuentes
@version 		1.0
@description 	Pantalla para visualizar la carga consolidada de los trámites asignados a un ejecutor.
@cu				CC-NP-CO-114 - Asignar trámites – Consulta consolidada de los trámites asignados a los ejecutores.
            
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="5"
             cellpadding="5" width="100%" id="consultarCargaPanel">

    <h:form id="consultarCargaForm">


        <p:spacer height="10" />

        <p:fieldset>
            <legend>
                <h:outputLabel value="Carga de trámites por ejecutor"
                               styleClass="legendTitle" />
            </legend>

            <p:spacer height="5" />

            <p:outputPanel layout="block" style="text-align: left">
                <h:graphicImage id="helpImg" url="/images/question_blue.png" />
                <p:tooltip for="helpImg" showEffect="puff"
                           styleClass="noteTextStyle" style="text-align: center">
                    Para ver los trámites a cargo de un ejecutor seleccione una fila de la tabla.<br/>
                    Si quiere ver los de otro ejecutor selecciónelo de la tabla.
                </p:tooltip>
            </p:outputPanel>

            <p:spacer height="5" />

            <p:dataTable id="dataTableEjecutores" var="ejecutores"
                         widgetVar="cargaEjecutoresDTWV" rowKey="#{ejecutores.funcionarioId}"
                         value="#{asignacionTramites.ejecutoresTramite}"
                         selection="#{asignacionTramites.ejecutorSeleccionado}"
                         selectionMode="single" paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                         emptyMessage="No se encontraron funcionarios ejecutores">

                <p:ajax event="rowSelect"
                        listener="#{asignacionTramites.ejecutorSelectListener}"
                        update=":consultarCargaForm" />

                <p:column headerText="Nombre">
                    <h:outputText value="#{ejecutores.funcionario}" />
                </p:column>

                <p:column headerText="Terreno">
                    <h:outputText value="#{ejecutores.terreno}" />
                </p:column>

                <p:column headerText="Oficina">
                    <h:outputText value="#{ejecutores.oficina}" />
                </p:column>
            </p:dataTable>

            <p:blockUI block=":consultarCargaForm" trigger="dataTableEjecutores" >
                Buscando información de trámites del ejecutor
                <p:graphicImage value="/images/loading.gif"/>
            </p:blockUI>


        </p:fieldset>

        <p:spacer height="10" />

        <p:fieldset
            rendered="#{asignacionTramites.visualizarPanelTramitesBool}">
            <legend>
                <h:outputLabel value="Detalle de los trámites"
                               styleClass="legendTitle" />
            </legend>

            <p:spacer height="20" width="0" />

            <h:panelGrid columns="2" width="100%">
                <p:graphicImage value="#{asignacionTramites.chartTerreno}"
                                cache="false" />

                <p:graphicImage value="#{asignacionTramites.chartOficina}"
                                cache="false" />
            </h:panelGrid>

            <p:messages id="msgConsultarCarga" showDetail="false"
                        globalOnly="false" />

            <p:spacer height="10" />

            <p:outputPanel layout="block" style="text-align: left">
                <h:outputLabel value="Nombre del funcionario ejecutor: "
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{asignacionTramites.ejecutorSeleccionado.funcionario}"
                    styleClass="outputTextStyle" />
            </p:outputPanel>

            <p:spacer height="10" />

            <p:dataTable var="tramites" id="tablaTrams"
                         paginatorPosition="bottom" paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15"
                         value="#{asignacionTramites.assignedTramitesAEjecutor}"
                         emptyMessage="No se encontraron tramites asignados al ejecutor">

                <f:facet name="header">
                    Carga de trámites del funcionario ejecutor
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Número de <br/>radicación
                    </f:facet>
                    <p:commandLink value="#{tramites.numeroRadicacion}"
                                   title="Ver detalles del trámite" 
                                   styleClass="commandLinkStyleInTable"
                                   onstart="statusDialog2.show();"
                                   oncomplete="detalleTramiteEjecutarWV.show(); statusDialog2.hide();"
                                   update=":detalleTramiteEjecutarForm">
                        <f:setPropertyActionListener value="#{tramites}"
                                                     target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                    </p:commandLink>

                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha de <br/>radicación
                    </f:facet>
                    <h:outputText value="#{tramites.fechaRadicacion}"
                                  styleClass="outputTextStyleInTable">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" 
                                           locale="es" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Tipo de trámite">
                    <h:outputText value="#{tramites.tipoTramiteCadenaCompleto}"
                                  styleClass="outputTextStyleInTable" />
                </p:column>

                <p:column headerText="Municipio">
                    <h:outputText value="#{tramites.predio.municipio.nombre}"
                                  styleClass="outputTextStyleInTable" />
                </p:column>

                <p:column headerText="Clasificación">
                    <h:outputText value="#{tramites.clasificacion}"
                                  styleClass="outputTextStyleInTable" />
                </p:column>

                <ui:remove>
                    <!-- D: Se comenta la siguiente sección de código y en el managed bean el método que realiza el 
                    cargue de los valores para estas columnas debido a que se está demorando mucho en realizar 
                    la consulta con process, si se decide implementar nuevamente, ajustar la consulta :: 
                    david.cifuentes :: 23/01/2015 -->
                    <p:column>
                        <f:facet name="header">
                            Fecha de <br/>asignación
                        </f:facet>
                        <h:outputText value="#{tramites.fechaAsignacionActividadActual}"
                                      styleClass="outputTextStyleInTable">
                            <f:convertDateTime type="date" dateStyle="short"
                                               pattern="#{general.formatoFechaUsuario2}" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Actividad">
                        <h:outputText
                            value="#{tramites.actividadActualTramite.nombreDeDespliegue}"
                            styleClass="outputTextStyleInTable" />
                    </p:column>
                </ui:remove>

            </p:dataTable>

        </p:fieldset>

        <p:spacer height="10" />

        <p:outputPanel layout="block" style="text-align:right">
            <!--p:commandButton value="Seleccionar otro ejecutor"
                widgetVar="limpiarBtn"
                rendered="#{asignacionTramites.visualizarPanelTramitesBool}"
                id="limpiarBtn" icon="ui-icon-arrowthickstop-1-n"
                update=":consultarCargaForm"
                action="# {asignacionTramites.limpiarEjecutor}">
            </p:commandButton -->
            <p:spacer width="5" />
            <p:commandButton value="Cerrar" onclick="consultarCargaWV.hide()"
                             icon="ui-icon-close" />
            <p:spacer width="5" />
        </p:outputPanel>

    </h:form>
</h:panelGrid>